Histogram
Statistics Module

## Classes

class | itpp::Histogram< Num_T >
| Histogram computation class. More...

## Functions

| itpp::Histogram< Num_T >::Histogram (Num_T from=Num_T(0), Num_T to=Num_T(99), int n_bins=100)
void | itpp::Histogram< Num_T >::setup (Num_T from, Num_T to, int n_bins)
| Histogram setup.
void | itpp::Histogram< Num_T >::update (Num_T value)
| Histogram update.
void | itpp::Histogram< Num_T >::update (Vec< Num_T > values)
| Histogram update.
void | itpp::Histogram< Num_T >::update (Mat< Num_T > values)
| Histogram update.
vec | itpp::Histogram< Num_T >::get_pdf () const
| Experimental Probability Density Function (PDF) computation.
vec | itpp::Histogram< Num_T >::get_cdf () const
| Experimental Cumulative Density Function (CDF) computation.

## Detailed Description

## Function Documentation

template<class Num_T >

itpp::Histogram< Num_T >::Histogram | ( | Num_T | from = `Num_T(0)`,
|  | Num_T | to = `Num_T(99)`,
|  | int | n_bins = `100`
| ) |  |

inline

Default constructor. Constructs histogram with 100 bins spanning values from 0 to 99 by default.

Definition at line 141 of file histogram.h.

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1